Foreman - Bug #7098

Improve selinux reporting in foreman-debug
08/15/2014 04:01 AM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Packaging
Target version: 1.7.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1134737 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/1691
Description

We already added some information to foreman-debug (grep AVC and audit2allow).

Unfortunately when selinux interfaces are not installed and generated, -R option can fail:

COMMAND> audit2allow —-R < /var/log/audit/audit.log

could not open interface info [/var/lib/sepolgen/interface_info]

| am going to fix this:

e instead of grep AVC we will do sesearch -m AVC which gives nicer overview including SYSCALL lines

¢ instead audit2allow -R we will try to generate interfaces and if that fails we will do audit2allow without the -R option

Associated revisions

Revision 80cc99f4 - 10/06/2014 05:41 AM - Lukas Zapletal

Fixes #7098 - better selinux reporting in foreman-debug

History

#1 - 08/15/2014 04:28 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version setto 1.7.5

- Pull request https://github.com/theforeman/foreman/pull/1691 added

- Pull request deleted ()

#2 - 08/15/2014 04:29 AM - Lukas Zapletal
- Category set to Packaging

#3 - 08/20/2014 06:51 AM - Anonymous

- Target version changed from 1.7.5to 1.7.4

#4 - 08/28/2014 04:24 AM - Lukas Zapletal
- Bugzilla link set to 1134737

#5 - 09/10/2014 07:22 AM - Anonymous

- Target version changed from 1.7.4 to 1.7.3

#6 - 09/30/2014 10:55 AM - Dominic Cleal

- Target version changed from 1.7.3to 1.7.2
#7 - 10/06/2014 06:03 AM - Lukas Zapletal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 80cc99f4b0d0af0afdba8def1256b37c4862430f.

#8 - 10/07/2014 03:42 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 21
